cyphermed_routes = [
    ("/v2/auth/token", ["POST"]),
    ("/v2/auth/token/revoke", ["PUT"]),
    ("/v2/auth/challenge", ["POST"]),
    ("/v2/auth/mfa/secret-code", ["GET"]),
    ("/v2/auth/mfa/sms", ["PUT", "DELETE"]),
    ("/v2/auth/mfa/software", ["PUT", "DELETE"]),
    ("/v2/auth/mfa/settings", ["PATCH"]),
    ("/v2/auth/password", ["PUT"]),
    ("/v2/auth/forgot-password", ["POST"]),
    ("/v2/account/access/projects", ["GET"]),
    ("/v2/account/access/groups", ["GET"]),
    ("/v2/account/access/org", ["GET"]),
    ("/v2/account/access/current-session", ["GET"]),
    ("/v2/account/sms/verification", ["POST", "PUT"]),
    ("/v2/account/picture", ["PUT", "DELETE"]),
    ("/v2/account/dashboard", ["GET", "PUT"]),
    ("/v2/my-org", ["GET", "PATCH"]),
    ("/v2/my-project", ["GET", "PATCH"]),
    ("/v2/groups/{group_id}/data/{path}", ["POST", "GET", "PUT", "PATCH", "DELETE"]),
    ("/v2/groups/{group_id}/data", ["POST"]),
    ("/v2/devices", ["GET", "POST"]),
    ("/v2/devices/{device_id}", ["GET", "PATCH", "DELETE"]),
    ("/v2/devices/{device_id}/reset-api-key", ["POST"]),
    ("/v2/devices/{device_id}/reset-mqtt-credentials", ["POST"]),
    ("/v2/devices/{device_id}/tunnels", ["GET", "POST", "DELETE"]),
    ("/v2/devices/{device_id}/tunnels/{tunnel_uuid}", ["GET", "DELETE"]),
    ("/v2/groups/{group_id}/files/{path}", ["GET", "PUT", "PATCH", "DELETE"]),
    ("/v2/groups", ["GET", "POST"]),
    ("/v2/groups/{group_id}", ["GET", "PATCH", "DELETE"]),
    ("/v2/groups/{group_id}/access/{grantee_id}", ["POST", "GET", "PATCH", "DELETE"]),
    ("/v2/projects", ["GET", "POST"]),
    ("/v2/projects/{project_id}", ["GET", "PATCH", "DELETE"]),
    ("/v2/projects/{project_id}/access/{grantee_id}", ["POST", "GET", "PATCH", "DELETE"]),
    ("/v2/roles", ["GET", "POST"]),
    ("/v2/roles/{role_id}", ["GET", "PATCH", "DELETE"]),
    ("/v2/roles/{role_id}/access/{account_id}", ["POST", "GET", "DELETE", "PATCH"]),
    ("/v2/health", ["GET"]),
    ("/v2/version", ["GET"]),
    ("/v2/.well-known/jwks.json", ["GET"]),
    ("/v2/ui/{client_id}", ["GET"]),
    ("/v2/email/templates", ["GET", "POST"]),
    ("/v2/email/templates/{template_id}", ["GET", "PATCH", "DELETE"]),
    ("/v2/users", ["GET", "POST"]),
    ("/v2/users/{user_id}", ["GET", "PATCH", "DELETE"]),
    ("/v2/users/{user_id}/mfa/sms", ["DELETE"]),
    ("/v2/users/{user_id}/mfa/software", ["DELETE"]),
    ("/v2/users/{user_id}/recovery", ["POST"]),
]
